Bug 14094 - DDC - Add separators for repeated $a subfields (MARC21)
Summary: DDC - Add separators for repeated $a subfields (MARC21)
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-29 22:13 UTC by Katrin Fischer
Modified: 2016-12-05 21:23 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14094: DDC - Add separators for repeated $a subfields (MARC21) (2.36 KB, patch)
2015-06-08 02:49 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED OFF] Bug 14094: DDC - Add separators for repeated $a subfields (MARC21) (2.43 KB, patch)
2015-06-12 21:48 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 14094: DDC - Add separators for repeated $a subfields (MARC21) (2.48 KB, patch)
2015-06-19 13:45 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-04-29 22:13:09 UTC
The DDC classification shows the entries separated by space. We should use | to make them better readable.
Comment 1 Katrin Fischer 2015-06-08 02:49:42 UTC Comment hidden (obsolete)
Comment 2 Nick Clemens 2015-06-12 21:48:42 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-06-19 13:45:32 UTC
Created attachment 40376 [details] [review]
Bug 14094: DDC - Add separators for repeated $a subfields (MARC21)

Mulitple 082 fields are already separated by |, but multiple
$a in one 082 field were only separated by space, making those
not easy to read.

Patch takes care that the | separator is used in all cases.

To test:
- Catalog a record with multiple 082 fields
- Add one or multiple $a subfields to each
- Verify every single classification is separated from
  the others with a | in staff and in OPAC detail pages

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 4 Tomás Cohen Arazi 2015-06-22 14:55:17 UTC
Patch pushed to master.

Thanks Katrina!
Comment 5 Chris Cormack 2015-07-09 21:04:37 UTC
Pushed to 3.20.x will be in 3.20.2